Page MenuHomePhabricator

MobileApp tests are failing
Closed, ResolvedPublic

Description

https://integration.wikimedia.org/ci/job/mwext-MobileApp-testextensions-master/1/console

Looks like it has something to do with a .less validation test?


Version: Stable
Severity: normal

Details

Reference
bz65954

Related Objects

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:19 AM
bzimport set Reference to bz65954.
bzimport added a subscriber: Unknown Object (MLST).
Legoktm created this task.May 30 2014, 5:50 PM

I have added thetestextensions job to several extensions a few days ago. It looks like I forgot to verify MobileApp :-( I will make the job result to be ignored and move this bug so it get fixed by the extension author.

Change 136458 had a related patch set uploaded by Hashar:
Ignore MobileApp unit tests

https://gerrit.wikimedia.org/r/136458

Change 136458 merged by jenkins-bot:
Ignore MobileApp unit tests

https://gerrit.wikimedia.org/r/136458

The tests are no more voting in Zuul. Whenever the tests are fixed we can make it voting again. Meanwhile, moving but to MediaWiki extensions component so the bugs get fixed by the extension author.

(Hi Brion!)

greg added a comment.Jul 19 2014, 5:34 AM

(really probably should go under "Wikipedia App" product)

I think this is because the extension depends upon MobileFrontend:

https://integration.wikimedia.org/ci/job/mwext-MobileApp-testextensions-master/68/console

21:28:23 1) /srv/ssd/jenkins-slave/workspace/mwext-MobileApp-testextensions-master/extensions/MobileApp/../MobileFrontend/less/common/reset.less in the "mobile.app.pagestyles.android" module
21:28:23 /srv/ssd/jenkins-slave/workspace/mwext-MobileApp-testextensions-master/extensions/MobileApp/../MobileFrontend/less/common/reset.less in the "mobile.app.pagestyles.android" module must refer to a readable file
21:28:23 Failed asserting that false is true.

And like 8 more.

https://github.com/wikimedia/mediawiki-extensions-MobileApp/blob/master/MobileApp.php#L43

Change 149784 had a related patch set uploaded by Legoktm:
MobileApp depends upon MobileFrontend

https://gerrit.wikimedia.org/r/149784

Change 149784 merged by jenkins-bot:
MobileApp depends upon MobileFrontend

https://gerrit.wikimedia.org/r/149784

The MobileApp Jenkins job was missing dependencies MobileFrontend and Mantle. A dummy patch ( https://gerrit.wikimedia.org/r/#/c/149803/ ) pass tests now! Will make it voting and close this bug.

Thank you

Change 149804 had a related patch set uploaded by Hashar:
Make MobileApp tests voting

https://gerrit.wikimedia.org/r/149804

Change 149804 merged by jenkins-bot:
Make MobileApp tests voting

https://gerrit.wikimedia.org/r/149804

Tests are now passing and Zuul is now voting for them. \O/